Skip to main content
GET
/
v1
/
whatsapp
/
conversations
/
{conversation_id}
Get Conversation
curl --request GET \
  --url https://karibu.briq.tz/v1/whatsapp/conversations/{conversation_id} \
  --header 'X-API-Key: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "whatsapp_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "recipient_phone": "<string>",
  "is_active": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "whatsapp_sender_number_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "last_message_at": "2023-11-07T05:31:56Z"
}

Authorizations

X-API-Key
string
header
required

Headers

X-API-Key
string
required
X-App-ID
string | null

Path Parameters

conversation_id
string<uuid>
required

Response

Successful Response

A message thread between one of your senders and a single recipient.

id
string<uuid>
required
whatsapp_account_id
string<uuid>
required
recipient_phone
string
required
is_active
boolean
required

Whether the 24h customer-care window is currently open (freeform sends allowed).

created_at
string<date-time>
required
updated_at
string<date-time>
required
whatsapp_sender_number_id
string<uuid> | null
last_message_at
string<date-time> | null